File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Ant, Maven and Other Build Tools and the fly likes archetype error with maven Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Engineering » Ant, Maven and Other Build Tools
Bookmark "archetype error with maven" Watch "archetype error with maven" New topic
Author

archetype error with maven

Ja vardhan
Ranch Hand

Joined: May 09, 2005
Posts: 169
Hi,

I am new to Maven, I have downloaded and configured according to the instruction on maven.apache.org site. To create the project, first step on the documentatio is- run the command: "mvn archetype:create -DgroupId=com.mycompany.app -DartifactId=my-app" . I ran this command and getting error: "The plugin 'org.apache.maven.plugins:maven-archetype-plugin' does not exist or no valid version could be found" .

I have followed all their instructions, but getting this error.
What might be the problem?

Maven gurus pls help me.

Thanks.


Javardhan:
Ja vardhan
Ranch Hand

Joined: May 09, 2005
Posts: 169
ok, ok, ok folks!!!

Pls suggest where else I can get help regarding Maven? (Pls dont say like: go to maven.apache.org, because I am following the procedure which they have mentioned, getting problem and seeking your help.

Thanks.
vijay choudhury
Greenhorn

Joined: Jul 05, 2006
Posts: 2
just fix your internet connection
Jamie Jackson
Ranch Hand

Joined: Jan 11, 2005
Posts: 58
I am also new, and got similar errors. The simple solution was to keep trying a command until I got all the downloads. For some reason (maybe a flaky wireless connection), they failed intermittently. The command you're trying took me several attempts before I got all the downloads, but after that, I was back on track.

Once you've downloaded the dependencies you need, you won't have to worry about these problems for a while (until you need NEW dependencies).

Jamie
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: archetype error with maven